### Function

# Gtk.value_take_expression

#### Declaration [src]

    void
    gtk_value_take_expression (
      GValue* value,
      GtkExpression* expression
    )

#### Description [src]

Stores the given `GtkExpression` inside `value`.

This function transfers the ownership of the `expression` to the `GValue`.

#### Parameters

`value` | `GValue*`
| a `GValue` initialized with type `GTK_TYPE_EXPRESSION`
| Ownership is not transferred to the callee
`expression` | `GtkExpression`
| a `GtkExpression`
| Can be `NULL`
| Ownership of the data is transferred to the callee